package com.liang.dao;

import com.liang.entity.PrjAnnualBudgetRecord;
import com.liang.entity.PrjAnnualbudgetdetail;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 年度预算修改记录
 **/
@Repository
public interface PrjAnnualBudgetRecordDao {

    /**
     * 根据年度预算ID查询年度预算明细
     *
     * @param nys 年度预算ID
     * @return
     */
    List<PrjAnnualBudgetRecord> queryDetailByNys(int nys, int xgr);

    /**
     * 添加修改前的数据
     */
    int addHistoryRecord(List<PrjAnnualBudgetRecord> prjAnnualBudgetRecord);

    /**
     * 根据年度预算查询修改记录
     *
     * @param nys 年度预算ID
     * @return
     */
    List<PrjAnnualBudgetRecord> queryRecordByNdysid(int nys);

    void deleteHistoryRecord(Integer nys);
}
